catalog:
  title: Tensorbox

templates:
- github
- make
- base

variables:
  description: Object detection in TensorFlow
  keywords:
  - machine learning
  - python
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: russell91
  github.project: tensorbox

  branches:
  - master

  extra-provides:
  - nature: freestyle
    target: tensorbox
  extra-requires:
  - nature: freestyle
    target: tensorflow
  - '@{next-value|[]}'

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - python3-pip
        - python3-dev

  shell.command: |
    ./download_data.sh
    cd utils
    make

versions:
- name: current
  variables:
    branch: master
